--- a/scripts/xmms.pl
+++ b/scripts/xmms.pl
@@ -28,14 +28,14 @@
 use strict;
 use Irssi;
 use vars qw($VERSION %IRSSI);
-$VERSION = "2.0";
+$VERSION = "2.0+1";
 %IRSSI = {
     authors     => 'Simon Shine',
     contact     => 'simon@blueshell.dk',
     name        => 'xmms',
     description => 'XMMS-InfoPipe front-end - allow /np [-help] [dest]',
     license     => 'Public Domain',
-    changed     => '2004-01-15'
+    changed     => '2006-10-27'
 };
 
 Irssi::settings_add_str('xmms', 'xmms_fifo', '/tmp/xmms-info');
@@ -139,6 +139,9 @@
         $format =~ s/\%$_/$fs{$_}/g;
     }
 
+    # remove newline characters
+    $format =~ s/[\r\n]/ /g;
+
     # sending it.
     if ($server && $server->{connected} && $witem &&
         ($witem->{type} eq "CHANNEL" || $witem->{type} eq "QUERY")) {
